Subject: Re: Problem Building SWI Prolog on HPUX -- Second Request

From: Jan Wielemaker <[email-masked]>
Date: Fri, 14 Apr 2000 15:00:59 +0200

> I am attempting to build the SWI-Prolog package on a HPUX 11.00 system and I
> have had problems. Once the C programs are compiled and linked, the
> resulting pl program is called to continue the build step. The bootstrap
> step is completed, however the next operation that calls the pl program (the
> second call to the pl program in the makefile process) the program reports a
> fatal error, can not load the pl.prc resource file. I look in the directory
> structure, and pl.prc exists in the current directory. I copy the file to
> the home directory and restart the make process and I still get the same
> error at the same step.

It's a pitty you didn't include a log of the failing make session.

> The odd part of this process is that  I can start the pl program using
> different options, such as ./pl -help, or ./pl -version, or ./pl -arch, and

Neither of these calls actually starts Prolog. The result is just
printed by the main routine after parsing the argument vector.

> get the expected results. I can also start the pl program using the
> following command:
>     ./pl -O -o pl.prc -b ../boot/init.pl

That looks promising. With serious portability problems this generally
fails.

> Please keep in mind, I am new to prolog and to the SWI-Prolog program.
> However, I do know that a make process is failing and that the pl
> process/program is un-usable in its current form.

The following command should be 

./pl -x pl.prc \
                -f none -F none \
                -g make_library_index\(\'../library\'\) \
                -t halt

Failure could be caused by different quote-rules for make and/or your
shell.  If available, try using gnu-make and bash (add SHELL=/bin/bash 
to the Makefile).

If that fails, what happens on the simple command ./pl -x pl.prc?

It has been compiled quite recently on HPUX 10 (I think) without
problems, so it shouldn't be too hard.

	Regards --- Jan